## org.apache.html.dom
Class HTMLFrameElementImpl

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.html.dom.HTMLElementImpl
                          org.apache.html.dom.HTMLFrameElementImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLFrameElement, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

    public class HTMLFrameElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLFrameElement

Version:
  $Revision: 447255 $ $Date: 2006-09-18 01:36:42 -0400 (Mon, 18 Sep 2006) $
Author:
  Assaf Arkin
See Also:
  `HTMLFrameElement`, `ElementImpl`, Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLFrameElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` `getFrameBorder()` Request frame borders.
`java.lang.String` `getLongDesc()` URI designating a long description of this image or frame.
`java.lang.String` `getMarginHeight()` Frame margin height, in pixels.
`java.lang.String` `getMarginWidth()` Frame margin width, in pixels.
`java.lang.String` `getName()` The frame name (object of the `target` attribute).
`boolean` `getNoResize()` When true, forbid user from resizing frame.
`java.lang.String` `getScrolling()` Specify whether or not the frame should have scrollbars.
`java.lang.String` `getSrc()` A URI designating the initial frame contents.
`void` `setFrameBorder(java.lang.String frameBorder)`
`void` `setLongDesc(java.lang.String longDesc)`
`void` `setMarginHeight(java.lang.String marginHeight)`
`void` `setMarginWidth(java.lang.String marginWidth)`
`void` `setName(java.lang.String name)`
`void` `setNoResize(boolean noResize)`
`void` `setScrolling(java.lang.String scrolling)`
`void` `setSrc(java.lang.String src)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLFrameElementImpl

    public HTMLFrameElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getFrameBorder

    public java.lang.String getFrameBorder()

  Description copied from interface: `org.w3c.dom.html.HTMLFrameElement`
  Request frame borders. See the frameborder attribute definition in HTML 4.0.

  Specified by:
    `getFrameBorder` in interface `org.w3c.dom.html.HTMLFrameElement`

### setFrameBorder

    public void setFrameBorder(java.lang.String frameBorder)

  Specified by:
    `setFrameBorder` in interface `org.w3c.dom.html.HTMLFrameElement`

### getLongDesc

    public java.lang.String getLongDesc()

  Description copied from interface: `org.w3c.dom.html.HTMLFrameElement`
  URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0.

  Specified by:
    `getLongDesc` in interface `org.w3c.dom.html.HTMLFrameElement`

### setLongDesc

    public void setLongDesc(java.lang.String longDesc)

  Specified by:
    `setLongDesc` in interface `org.w3c.dom.html.HTMLFrameElement`

### getMarginHeight

    public java.lang.String getMarginHeight()

  Description copied from interface: `org.w3c.dom.html.HTMLFrameElement`
  Frame margin height, in pixels. See the marginheight attribute definition in HTML 4.0.

  Specified by:
    `getMarginHeight` in interface `org.w3c.dom.html.HTMLFrameElement`

### setMarginHeight

    public void setMarginHeight(java.lang.String marginHeight)

  Specified by:
    `setMarginHeight` in interface `org.w3c.dom.html.HTMLFrameElement`

### getMarginWidth

    public java.lang.String getMarginWidth()

  Description copied from interface: `org.w3c.dom.html.HTMLFrameElement`
  Frame margin width, in pixels. See the marginwidth attribute definition in HTML 4.0.

  Specified by:
    `getMarginWidth` in interface `org.w3c.dom.html.HTMLFrameElement`

### setMarginWidth

    public void setMarginWidth(java.lang.String marginWidth)

  Specified by:
    `setMarginWidth` in interface `org.w3c.dom.html.HTMLFrameElement`

### getName

    public java.lang.String getName()

  Description copied from interface: `org.w3c.dom.html.HTMLFrameElement`
  The frame name (object of the `target` attribute). See the name attribute definition in HTML 4.0.

  Specified by:
    `getName` in interface `org.w3c.dom.html.HTMLFrameElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `org.w3c.dom.html.HTMLFrameElement`

### getNoResize

    public boolean getNoResize()

  Description copied from interface: `org.w3c.dom.html.HTMLFrameElement`
  When true, forbid user from resizing frame. See the noresize attribute definition in HTML 4.0.

  Specified by:
    `getNoResize` in interface `org.w3c.dom.html.HTMLFrameElement`

### setNoResize

    public void setNoResize(boolean noResize)

  Specified by:
    `setNoResize` in interface `org.w3c.dom.html.HTMLFrameElement`

### getScrolling

    public java.lang.String getScrolling()

  Description copied from interface: `org.w3c.dom.html.HTMLFrameElement`
  Specify whether or not the frame should have scrollbars. See the scrolling attribute definition in HTML 4.0.

  Specified by:
    `getScrolling` in interface `org.w3c.dom.html.HTMLFrameElement`

### setScrolling

    public void setScrolling(java.lang.String scrolling)

  Specified by:
    `setScrolling` in interface `org.w3c.dom.html.HTMLFrameElement`

### getSrc

    public java.lang.String getSrc()

  Description copied from interface: `org.w3c.dom.html.HTMLFrameElement`
  A URI designating the initial frame contents. See the src attribute definition in HTML 4.0.

  Specified by:
    `getSrc` in interface `org.w3c.dom.html.HTMLFrameElement`

### setSrc

    public void setSrc(java.lang.String src)

  Specified by:
    `setSrc` in interface `org.w3c.dom.html.HTMLFrameElement`

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.